### Method

# Gtk.TreeStore.iter_depth

#### Declaration [src]

    int
    gtk_tree_store_iter_depth (
      GtkTreeStore* tree_store,
      GtkTreeIter* iter
    )

#### Description [src]

Returns the depth of `iter`. This will be 0 for anything on the root level, 1 for anything down a level, etc.

#### Parameters

`iter` | `GtkTreeIter`
| A valid `GtkTreeIter`
| Ownership is not transferred to the callee

#### Return value

Returns: `int`
The depth of `iter`